<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-logger](./foundation-logger.md) &gt; [createLogger](./foundation-logger.createlogger.md)

## createLogger() function

Creates a logger with the given name and options.

**Signature:**

```typescript
export declare function createLogger(name: string, options?: LoggerOptions): Logger;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  name | string | The name to give the logger. |
|  options | [LoggerOptions](./foundation-logger.loggeroptions.md) | _(Optional)_ The options to use when creating the logger. |

**Returns:**

[Logger](./foundation-logger.logger.md)

The resulting logger.

## Example 1

Create a logger in my-package/utils.

```ts
import { createLogger } from '@genesislcap/foundation-logger';
export const logger = createLogger('my-package');
```

## Example 2

Using the logger within my-package.

```ts
import { logger } from '../utils';
logger.debug(`Data retrieved from ${resourceName}`);
logger.info(this.toggled ? 'On' : 'Off');
logger.warn('Not available in this browser.');
```

